Bug 881063 - gnome-shell-extension-native-window-placement crashes the shell a lot (appears fixed upstream)
gnome-shell-extension-native-window-placement crashes the shell a lot (appear...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 718322
  Show dependency treegraph
 
Reported: 2012-11-28 09:37 EST by Gerard Ryan
Modified: 2013-01-11 19:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 19:46:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerard Ryan 2012-11-28 09:37:22 EST
Description of problem:
See: https://bugzilla.redhat.com/show_bug.cgi?id=718322
Basically with this extension installed via yum, if the screen locks for any reason, the next time the user tries to access the overview, that crash will occur. 

Version-Release number of selected component (if applicable):
3.6.1-1

How reproducible:
100%

Steps to Reproduce:
1. Install gnome-shell-extension-native-window-placement
2. Lock the screen or suspend or wait for the timeout to lock it
3. Unlock and try to access the overview (by pressing 'Activities' or moving the mouse pointer to the hot corner, or any of the keyboard combinations.
  
Actual results:
The screen freezes for a few seconds, the shell hangs, then recovers with an abrt alert

Expected results:
The overview shows up as normal

Additional info:
Installing from https://extensions.gnome.org/extension/18/native-window-placement/ fixes this problem. There's some discussion about it in the comments there, and it was fixed, so I'd guess that an update to the fedora package should also fix this.
Comment 1 Fedora Update System 2012-12-30 05:10:49 EST
gnome-shell-extensions-3.6.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.6.2-1.fc18
Comment 2 Fedora Update System 2012-12-30 15:12:10 EST
Package gnome-shell-extensions-3.6.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-extensions-3.6.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-21092/gnome-shell-extensions-3.6.2-1.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-01-11 19:46:44 EST
gnome-shell-extensions-3.6.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.